#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	libmatemixer
Version		:	1.28.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A mixer library for MATE desktop.
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	alsa-lib
BuildRequires	:	gtk-doc
BuildRequires	:	intltool
BuildRequires	:	mate-common
BuildRequires	:	pulseaudio
#-----------------------------------------------------------------------------
%description
'%{name}' provides an abstract API allowing access to mixer
functionality available in the PulseAudio, ALSA and OSS
sound systems.

The library includes dynamically loaded modules which provide
access to each of the supported sound systems.

By default configure auto-detects whether support for PulseAudio
and ALSA is available in the system. Make sure to install the
appropriate development packages to allow the modules to be built.

Building the OSS module is only advised on non-Linux systems as
OSS support in Linux is only provided as an ALSA emulation layer.
To build the OSS module, you will need to pass --enable-oss=yes
 to configure.

As the modules are loaded dynamically each time an application
utilizes the library, it is possible to provide the modules in
separate distribution packages.

#-----------------------------------------------------------------------------
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

#NOCONFIGURE=1 ./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--enable-pulseaudio				\
	--enable-alsa					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/mate-mixer/%{name}/*.h
%{_libdir}/%{name}.{la,so*}
%{_libdir}/%{name}/%{name}*.{la,so}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
